%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name: hamlib
Version: 1.2.4
Release: 1
License: LGPL
Group: System Environment/Libraries
Summary: Run-time library to control radio transceivers and receivers
Source: ftp://ftp.sourceforge.net/pub/sourceforge/hamlib/hamlib-1.2.4.tar.gz

# For whatever reason @SWIG@ isn't being set by the configure script.
Patch: hamlib-bindings.patch
Patch1: hamlib-automake.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://hamlib.sourceforge.net
BuildRequires: /bin/sh, automake >= 1.4, libtool >= 1.4, fileutils, findutils, flex
BuildRequires: binutils >= 2.9.4, gcc >= 2.95, glibc-devel >= 2.1
BuildRequires: gzip, make >= 3.77, patch >= 2.5, rpm >= 3.0, sed
BuildRequires: textutils python-devel swig gd-devel
BuildRequires: doxygen

%description
Hamlib provides a standardised programming interface that applications 
can use to send the appropriate commands to a radio.
 
Also included in the package is a simple radio control program 'rigctl',
which lets one control a radio transceiver or receiver, either from
command line interface or in a text-oriented interactive interface.

%package devel
Summary: Development library to control radio transcievers and receivers.
Group: Development/Libraries
Requires: hamlib = %{version}

%description devel
Hamlib radio control library C development headers and libraries
for building C applications with Hamlib.

%package c++
Summary: Hamlib radio control library C++ binding
Group: Development/Libraries

%description c++
Hamlib radio control library C++ language binding.

%package c++-devel
Summary: Hamlib radio control library C++ binding development headers and libraries
Group: Development/Libraries
Requires: hamlib-devel = %{version}

%description c++-devel
Hamlib radio control library C++ binding development headers and libraries
for building C++ applications with Hamlib.


#%package perl
#Summary: Hamlib radio control library Perl binding
#Group: Development/Libraries
#Requires: hamlib = %{version}
#
#%description perl
#Hamlib PERL Language bindings to allow radio control from PERL scripts.

%package python
Summary: Hamlib radio control library Python binding
Group: Development/Libraries
Requires: python-abi = %(%{__python} -c 'import sys;print(sys.version[:3])')

%description python
Hamlib Python Language bindings to allow radio control from Python scripts.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
%configure \
        --with-rigmatrix \
        --without-tcl-binding \
        --with-python-binding
##        --with-perl-binding

# Build libs, drivers, and programs
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" all

# Build PERL and Python bindings
make -C bindings all-py
#make -C bindings all-perl

# Build Documentation
make -C doc doc

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT%{_libdir}/hamlib-*.a $RPM_BUILD_ROOT%{_libdir}/hamlib-*.la
/sbin/ldconfig -N -n $RPM_BUILDROOT%{_libdir}
# Install Python
make -C bindings prefix=$RPM_BUILD_ROOT%{_prefix} \
        exec_prefix=$RPM_BUILD_ROOT%{_exec_prefix} \
        bindir=$RPM_BUILD_ROOT%{_bindir} \
        sbindir=$RPM_BUILD_ROOT%{_sbindir} \
        sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
        datadir=$RPM_BUILD_ROOT%{_datadir} \
        includedir=$RPM_BUILD_ROOT%{_includedir} \
        libdir=$RPM_BUILD_ROOT%{_libdir} \
        libexecdir=$RPM_BUILD_ROOT%{_libexecdir} \
        localstatedir=$RPM_BUILD_ROOT%{_localstatedir} \
        sharedstatedir=$RPM_BUILD_ROOT%{_sharedstatedir} \
        mandir=$RPM_BUILD_ROOT%{_mandir} \
        infodir=$RPM_BUILD_ROOT%{_infodir} \
        pythondir=$RPM_BUILD_ROOT%{python_sitelib} \
   install-pythonPYTHON

# Install PERL 
#make -C bindings prefix=$RPM_BUILD_ROOT%{_prefix} \
#        exec_prefix=$RPM_BUILD_ROOT%{_exec_prefix} \
#        bindir=$RPM_BUILD_ROOT%{_bindir} \
#        sbindir=$RPM_BUILD_ROOT%{_sbindir} \
#        sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
#        datadir=$RPM_BUILD_ROOT%{_datadir} \
#        includedir=$RPM_BUILD_ROOT%{_includedir} \
#        libdir=$RPM_BUILD_ROOT%{_libdir} \
#        libexecdir=$RPM_BUILD_ROOT%{_libexecdir} \
#        localstatedir=$RPM_BUILD_ROOT%{_localstatedir} \
#        sharedstatedir=$RPM_BUILD_ROOT%{_sharedstatedir} \
#        mandir=$RPM_BUILD_ROOT%{_mandir} \
#        infodir=$RPM_BUILD_ROOT%{_infodir} \
#   install-perl

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post c++ -p /sbin/ldconfig

%postun c++ -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc COPYING.LIB doc/html
%{_bindir}/rigctl
%{_bindir}/rigmem
%{_bindir}/rigswr
%{_bindir}/rotctl
%{_sbindir}/rpc.rigd
%{_sbindir}/rpc.rotd
%{_libdir}/libhamlib-%{version}.so.*
%{_libdir}/hamlib-*.so
%{_libdir}/libhamlib.la
%{_mandir}/man8/rpc.rigd.8.gz
%{_mandir}/man8/rpc.rotd.8.gz
%{_mandir}/man1/rigctl.1.gz
%{_mandir}/man1/rigmem.1.gz
%{_mandir}/man1/rigswr.1.gz
%{_mandir}/man1/rotctl.1.gz

%files c++
%defattr(-, root, root)
%{_libdir}/libhamlib++-%{version}.so.*
%{_libdir}/libhamlib++.la

%files c++-devel
%defattr(-, root, root)
%{_libdir}/libhamlib++.so
%{_libdir}/libhamlib++.a
%{_includedir}/hamlib/rigclass.h
%{_includedir}/hamlib/rotclass.h

#%files perl
#%defattr(-, root, root)
#%{_libdir}/perl5/site_perl/5.8.3/i386-linux-thread-multi/auto/Hamlib/hamlib.so
#%{_libdir}/perl5/site_perl/5.8.3/i386-linux-thread-multi/auto/Hamlib/hamlib.bs
#%{_libdir}/perl5/site_perl/5.8.3/i386-linux-thread-multi/Hamlib.pm
#%{_libdir}/perl5/5.8.3/i386-linux-thread-multi/perllocal.pod
#%{_libdir}/perl5/site_perl/5.8.3/i386-linux-thread-multi/auto/Hamlib/.packlist
#%{_libdir}/perl5/site_perl/5.8.3/i386-linux-thread-multi/perltest.pl

%files python
%defattr(-, root, root)
%{python_sitelib}/*.py*

%files devel
%defattr(-, root, root)
%doc README.developer
%{_libdir}/libhamlib.so
%{_libdir}/libhamlib.a
%{_datadir}/aclocal/hamlib.m4
%dir %{_includedir}/hamlib
%{_includedir}/hamlib/rig.h
%{_includedir}/hamlib/riglist.h
%{_includedir}/hamlib/rig_dll.h
%{_includedir}/hamlib/rotator.h
%{_includedir}/hamlib/rotlist.h
%{_libdir}/pkgconfig/hamlib.pc


%changelog
* Wed Apr  6 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.4-1
- Upstream update
- Spec file cleanups

* Wed Mar 23 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.3-9
- Python binding cleanup
- soname/ldconfig cleanup
- Added %%{_includedir}/hamlib to -devel
- Removed %%{_libdir}/hamlib-*.a and hamlib-*.la
- %%doc cleanups

* Wed Mar 23 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.3-8
- Added -q to %%setup
- Fixed Python binding build and Requires

* Mon Mar 21 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.3-7
- Removed spurious period and spelling mistake in Summary

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.3-6
- %%

* Thu Mar 17 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.3-5
- Removed spurious Requires(...)

* Thu Mar 17 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.3-4
- Fixed %%post and %%postun along with Requires(...)

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.3-3
- Spell-corrected %%description

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.3-2
- Removed/fixed explicit Requires

* Tue Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.3-1
- Bump release to 1
- Fixed BuildRoot

* Mon Feb 10 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:1.2.3-0.iva.1
- Fixed error with automake in -devel (#26)

* Mon Jan 31 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:1.2.3-0.iva.0
- Upstream update

* Sun Jan  9 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:1.2.2-0.iva.1
- Fixed %%files %%defattr

* Sun Jan  9 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:1.2.2-0.iva.0
- Ported to FC3
- Upgraded to 1.2.2

* Sun Apr 18 2004 David L Norris <dave@webaugur.com>
- Enable disabled script bindings.
- Touch up descriptions.

* Tue Jan 20 2004 Tomi Manninen
- Fix for 1.1.5pre2
- Better use of rpm macros
- Disable all bindings

* Tue Oct 08 2003 Joop Stakenborg
- Fix 'make rpm' again by disabling c++ bindings.
- rotclass.h and rigclass.h go into the devel package for now (FIXME)

* Wed Jan 15 2003 Joop Stakenborg
- Fix the spec file for 1.1.4CVS
- 'make rpm' should work now

* Thu Jun 17 2002 Stephane Fillod
- Added rotator support
- Added RPC daemon, hamlib.m4
- Upstream version 1.1.3

* Mon Jul 18 2001 Stephane Fillod
- Made initial "working" SPEC file

